summaryrefslogtreecommitdiffstats
path: root/icedtea-web
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-06-19 17:15:14 +0000
committer Eric Hameleers <alien@slackware.com>2013-06-19 17:15:14 +0000
commit9cb8741370236640dd3f0b6648616101b93549cf (patch)
tree6af9087af5d8c719ce0e9896d4b26f8172f34d17 /icedtea-web
parent2be0ffa8ee5f8531b120cd6c047d7055ec7f4430 (diff)
downloadasb-9cb8741370236640dd3f0b6648616101b93549cf.tar.gz
asb-9cb8741370236640dd3f0b6648616101b93549cf.tar.xz
Fix for the patch 8004584.patch.jdk in OpenJDK
Diffstat (limited to 'icedtea-web')
-rwxr-xr-xicedtea-web/build/icedtea-web.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/icedtea-web/build/icedtea-web.SlackBuild b/icedtea-web/build/icedtea-web.SlackBuild
index 1b9f89e6..83294bc7 100755
--- a/icedtea-web/build/icedtea-web.SlackBuild
+++ b/icedtea-web/build/icedtea-web.SlackBuild
@@ -22,7 +22,7 @@
PKGNAM=icedtea-web
VERSION=${VERSION:-1.4}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-"alien"}
NUMJOBS=${NUMJOBS:--j6}
@@ -72,7 +72,10 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
-chown -R root:root .
+# IcedTea-Web stopped working after the latest OpenJDK security update.
+# This is caused by the changes in AppContext-related code. Apply the fix:
+zcat $CWD/icedtea-web_8004584_jdk.patch.gz | patch -p1 --verbose || exit 1
+
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \